/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Ajuste;
import com.cosmodas.EntCosmos.DetalleAjuste;
import com.cosmodas.EntCosmos.VAutoAjuste;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface daoAutoAjusteLocal {

    List<DetalleAjuste> salidas(String sucursalCodigo);

    List<VAutoAjuste> Vsalidas(String sucursalCodigo);

    void addDetalleAjuste(DetalleAjuste detalleAjuste);

    List<VAutoAjuste> All(String sucursalCodigo);

    List<DetalleAjuste> entradas(String sucursalCodigo);

    List<VAutoAjuste> Ventradas(String sucursalCodigo);

    List<DetalleAjuste> allD(String sucursalCodigo);

    Ajuste obtenerAjustes(String codAjuste);

    List<DetalleAjuste> detalleSalida(String ajusteCodigo);
}
